package com.wechat.common.entity.merchant;


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

import com.wechat.common.entity.merchant.RegisterMerchant.RegisterMerchant;
import com.wechat.common.enums.RegisterStatus;


@Entity
public class KtjMerchantDetails {
	
	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	@Column(name = "id" )
	private Long id;
	
	//特邀商户号
	private String subMchid;
	
	//特邀商户申请单号
	private String businessCode;
	
	//超级管理员姓名
	private String contactName;
	
	//超级管理员身份证
	private String contactIdNumber;
	
	//超级管理员手机号
	private String contactPhone;
	
	//微信业务编号id
	private String applymentId;
	
	//超级管理员邮箱
	private String contactEmail;
	
	//主体类型
	private String subjectType;
	
	//营业执照url
	private String subjectLicenseUrl;
	
	//注册号/统一社会信用代码
	private String licenseNumber;
	
	//商户名称
	private String merchantName;
	
	//个体户经营者/法人姓名
	private String legalPerson;

	//身份证类型
	private String idDocType;
	
	//身份证人像面照片URL
	private String idCardCopyUrl;

	//身份证国徽面照片url
	private String idCardNationalUrl;
	
	//身份证姓名
	private String idCardName;
	
	//身份证号码
	private String idCardNumber;
		
	//身份证有效期开始时间 示例值：2026-06-06
	private String cardPeriodBegin;
		
	//身份证有效期结束时间 示例值：2026-06-06
	private String cardPeriodEnd;
	
	//商户简称
	private String merchantAbbr;
	
	//客服电话
	private String servicePhone;
	
	//结算规则id
	private String settlementId;
	
	//请填写所属行业名称，详细参见费率结算规则对照表。
	private String qualificationType;
	
	/**
	 * 1、若主体为企业/党政、机关及事业单位/其他组织，可填写：对公银行账户。
		2、若主体为个体户，可选择填写：对公银行账户或经营者个人银行卡。
		枚举值：

			BANK_ACCOUNT_TYPE_CORPORATE：对公银行账户
			BANK_ACCOUNT_TYPE_PERSONAL：经营者个人银行卡
			示例值：BANK_ACCOUNT_TYPE_CORPORATE
	 */
	private String bankAccountType;
	
	/**
	 * 1、选择“经营者个人银行卡”时，开户名称必须与“经营者证件姓名”一致。
		2、选择“对公银行账户”时，开户名称必须与营业执照上的“商户名称”一致。
		3、该字段需进行加密处理，加密方法详见敏感信息加密说明。
		示例值：AOZdYGISxo4y4+kyblK2FCCqQJJp0/0eow96uY1Pk7Rq79Jtt7+I8juwEc4P4TG5xzchG/5IL9DBd+Z0zZXkw==
	 */
	private String accountName;
	
	/**
	 * 开户银行，详细参见开户银行对照表。
		示例值：工商银行
	 */
	private String accountBank;
	
	/**
	 * 至少精确到市，详细参见省市区编号对照表。
		示例值：110000
	 */
	private String bankAddressCode;
	
	/**
	 * 1、17家直连银行无需填写，如为其他银行，则开户银行全称（含支行）和开户银行联行号二选一。
		2、详细参见开户银行全称（含支行）对照表。
		示例值：402713354941
	 */
	private String bankBranchId;
	
	//17家直连银行无需填写，如为其他银行，则开户银行全称（含支行）和 开户银行联行号二选一。
	private String bankName;
	
	//银行卡号
	private String accountNumber;
	
	//小程序
	private String miniProgram;
	
	//公众号
	private String mpInfo;
	
	//线下门店
	private String bizStoreInfo;
	
	//app
	private String appInfo;
	
	//互联网网站场景
	private String webInfo;
	
	//企业微信场景
	private String weworkInfo;
	
	//入驻状态 1 审核中，2审核失败
	private Integer registerStatus;
	
	//入驻消息
	private String registerMessage;
	
	//微信支付通知地址
	private String notifyUrl;
	
	//商家小程序APPID
	private String miniProgramSubAppid;
	
	public String getNotifyUrl() {
		return notifyUrl;
	}

	public void setNotifyUrl(String notifyUrl) {
		this.notifyUrl = notifyUrl;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getSubMchid() {
		return subMchid;
	}

	public void setSubMchid(String subMchid) {
		this.subMchid = subMchid;
	}

	public String getBusinessCode() {
		return businessCode;
	}

	public void setBusinessCode(String businessCode) {
		this.businessCode = businessCode;
	}

	public String getContactName() {
		return contactName;
	}

	public void setContactName(String contactName) {
		this.contactName = contactName;
	}

	public String getContactIdNumber() {
		return contactIdNumber;
	}

	public void setContactIdNumber(String contactIdNumber) {
		this.contactIdNumber = contactIdNumber;
	}

	public String getContactPhone() {
		return contactPhone;
	}

	public void setContactPhone(String contactPhone) {
		this.contactPhone = contactPhone;
	}

	public String getContactEmail() {
		return contactEmail;
	}

	public void setContactEmail(String contactEmail) {
		this.contactEmail = contactEmail;
	}

	public String getSubjectType() {
		return subjectType;
	}

	public void setSubjectType(String subjectType) {
		this.subjectType = subjectType;
	}

	public String getSubjectLicenseUrl() {
		return subjectLicenseUrl;
	}

	public void setSubjectLicenseUrl(String subjectLicenseUrl) {
		this.subjectLicenseUrl = subjectLicenseUrl;
	}

	public String getLicenseNumber() {
		return licenseNumber;
	}

	public void setLicenseNumber(String licenseNumber) {
		this.licenseNumber = licenseNumber;
	}

	public String getMerchantName() {
		return merchantName;
	}

	public void setMerchantName(String merchantName) {
		this.merchantName = merchantName;
	}

	public String getLegalPerson() {
		return legalPerson;
	}

	public void setLegalPerson(String legalPerson) {
		this.legalPerson = legalPerson;
	}

	public String getIdDocType() {
		return idDocType;
	}

	public void setIdDocType(String idDocType) {
		this.idDocType = idDocType;
	}

	public String getIdCardCopyUrl() {
		return idCardCopyUrl;
	}

	public void setIdCardCopyUrl(String idCardCopyUrl) {
		this.idCardCopyUrl = idCardCopyUrl;
	}

	public String getIdCardNationalUrl() {
		return idCardNationalUrl;
	}

	public void setIdCardNationalUrl(String idCardNationalUrl) {
		this.idCardNationalUrl = idCardNationalUrl;
	}

	public String getIdCardName() {
		return idCardName;
	}

	public void setIdCardName(String idCardName) {
		this.idCardName = idCardName;
	}

	public String getIdCardNumber() {
		return idCardNumber;
	}

	public void setIdCardNumber(String idCardNumber) {
		this.idCardNumber = idCardNumber;
	}

	public String getCardPeriodBegin() {
		return cardPeriodBegin;
	}

	public void setCardPeriodBegin(String cardPeriodBegin) {
		this.cardPeriodBegin = cardPeriodBegin;
	}

	public String getCardPeriodEnd() {
		return cardPeriodEnd;
	}

	public void setCardPeriodEnd(String cardPeriodEnd) {
		this.cardPeriodEnd = cardPeriodEnd;
	}

	public String getMerchantAbbr() {
		return merchantAbbr;
	}

	public void setMerchantAbbr(String merchantAbbr) {
		this.merchantAbbr = merchantAbbr;
	}

	public String getServicePhone() {
		return servicePhone;
	}

	public void setServicePhone(String servicePhone) {
		this.servicePhone = servicePhone;
	}

	public String getSettlementId() {
		return settlementId;
	}

	public void setSettlementId(String settlementId) {
		this.settlementId = settlementId;
	}

	public String getQualificationType() {
		return qualificationType;
	}

	public void setQualificationType(String qualificationType) {
		this.qualificationType = qualificationType;
	}

	public String getBankAccountType() {
		return bankAccountType;
	}

	public void setBankAccountType(String bankAccountType) {
		this.bankAccountType = bankAccountType;
	}

	public String getAccountName() {
		return accountName;
	}

	public void setAccountName(String accountName) {
		this.accountName = accountName;
	}

	public String getAccountBank() {
		return accountBank;
	}

	public void setAccountBank(String accountBank) {
		this.accountBank = accountBank;
	}

	public String getBankAddressCode() {
		return bankAddressCode;
	}

	public void setBankAddressCode(String bankAddressCode) {
		this.bankAddressCode = bankAddressCode;
	}

	public String getBankBranchId() {
		return bankBranchId;
	}

	public void setBankBranchId(String bankBranchId) {
		this.bankBranchId = bankBranchId;
	}

	public String getBankName() {
		return bankName;
	}

	public void setBankName(String bankName) {
		this.bankName = bankName;
	}

	public String getAccountNumber() {
		return accountNumber;
	}

	public void setAccountNumber(String accountNumber) {
		this.accountNumber = accountNumber;
	}

	public String getMiniProgram() {
		return miniProgram;
	}

	public void setMiniProgram(String miniProgram) {
		this.miniProgram = miniProgram;
	}

	public String getMpInfo() {
		return mpInfo;
	}

	public void setMpInfo(String mpInfo) {
		this.mpInfo = mpInfo;
	}

	public String getBizStoreInfo() {
		return bizStoreInfo;
	}

	public void setBizStoreInfo(String bizStoreInfo) {
		this.bizStoreInfo = bizStoreInfo;
	}

	public String getAppInfo() {
		return appInfo;
	}

	public void setAppInfo(String appInfo) {
		this.appInfo = appInfo;
	}

	public String getWebInfo() {
		return webInfo;
	}

	public void setWebInfo(String webInfo) {
		this.webInfo = webInfo;
	}

	public String getWeworkInfo() {
		return weworkInfo;
	}

	public void setWeworkInfo(String weworkInfo) {
		this.weworkInfo = weworkInfo;
	}

	public String getApplymentId() {
		return applymentId;
	}

	public void setApplymentId(String applymentId) {
		this.applymentId = applymentId;
	}

	public Integer getRegisterStatus() {
		return registerStatus;
	}

	public void setRegisterStatus(Integer registerStatus) {
		this.registerStatus = registerStatus;
	}

	public String getRegisterMessage() {
		return registerMessage;
	}

	public void setRegisterMessage(String registerMessage) {
		this.registerMessage = registerMessage;
	}
	
	public String getMiniProgramSubAppid() {
		return miniProgramSubAppid;
	}

	public void setMiniProgramSubAppid(String miniProgramSubAppid) {
		this.miniProgramSubAppid = miniProgramSubAppid;
	}

	//给属性赋值
	public void updateInfo(RegisterMerchant registerMerchant) {
		this.contactName = registerMerchant.getContactName();
		this.contactIdNumber = registerMerchant.getContactIdNumber();
		this.contactPhone = registerMerchant.getContactPhone();
		this.contactEmail = registerMerchant.getContactEmail();
		this.subjectType = registerMerchant.getSubjectType();
		this.subjectLicenseUrl = registerMerchant.getSubjectLicenseUrl();
		this.licenseNumber = registerMerchant.getLicenseNumber();
		this.merchantName = registerMerchant.getMerchantName();
		this.legalPerson = registerMerchant.getLegalPerson();
		this.idDocType = registerMerchant.getIdDocType();
		this.idCardCopyUrl = registerMerchant.getIdCardCopyUrl();
		this.idCardNationalUrl = registerMerchant.getIdCardNationalUrl();
		this.idCardName = registerMerchant.getIdCardName();
		this.idCardNumber = registerMerchant.getIdCardNumber();
		this.cardPeriodBegin = registerMerchant.getCardPeriodBegin();
		this.cardPeriodEnd = registerMerchant.getCardPeriodEnd();
		this.merchantAbbr = registerMerchant.getMerchantAbbr();
		this.servicePhone = registerMerchant.getServicePhone();
		this.settlementId = registerMerchant.getSettlementId();
		this.qualificationType = registerMerchant.getQualificationType();
		this.bankAccountType = registerMerchant.getBankAccountType();
		this.accountName = registerMerchant.getAccountName();
		this.accountBank = registerMerchant.getAccountBank();
		this.bankAddressCode = registerMerchant.getBankAddressCode();
		this.bankBranchId = registerMerchant.getBankBranchId();
		this.bankName = registerMerchant.getBankName();
		this.accountNumber = registerMerchant.getAccountNumber();
		this.notifyUrl = registerMerchant.getNotifyUrl();
		this.miniProgramSubAppid = registerMerchant.getMiniProgramSubAppid();
		this.registerStatus = RegisterStatus.APPLYMENT_STATE_AUDITING.getId();
		this.registerMessage = RegisterStatus.APPLYMENT_STATE_AUDITING.getStatus();
		if(registerMerchant.getSalesScenesType().contains("SALES_SCENES_MINI_PROGRAM")){
			this.miniProgram = "SALES_SCENES_MINI_PROGRAM";
		}
		if(registerMerchant.getSalesScenesType().contains("SALES_SCENES_STORE")){
			this.bizStoreInfo = "SALES_SCENES_STORE";
		}
		if(registerMerchant.getSalesScenesType().contains("SALES_SCENES_MP")){
			this.mpInfo = "SALES_SCENES_MP";
		}
		if(registerMerchant.getSalesScenesType().contains("SALES_SCENES_WEB")){
			this.webInfo = "SALES_SCENES_WEB";
		}
		if(registerMerchant.getSalesScenesType().contains("SALES_SCENES_APP")){
			this.appInfo = "SALES_SCENES_APP";
		}
		if(registerMerchant.getSalesScenesType().contains("SALES_SCENES_MINI_PROGRAM")){
			this.weworkInfo = "SALES_SCENES_MINI_PROGRAM";
		}
	}

	@Override
	public String toString() {
		return "MerchantDetails [id=" + id + ", subMchid=" + subMchid
				+ ", businessCode=" + businessCode + ", contactName="
				+ contactName + ", contactIdNumber=" + contactIdNumber
				+ ", contactPhone=" + contactPhone + ", applymentId="
				+ applymentId + ", contactEmail=" + contactEmail
				+ ", subjectType=" + subjectType + ", subjectLicenseUrl="
				+ subjectLicenseUrl + ", licenseNumber=" + licenseNumber
				+ ", merchantName=" + merchantName + ", legalPerson="
				+ legalPerson + ", idDocType=" + idDocType + ", idCardCopyUrl="
				+ idCardCopyUrl + ", idCardNationalUrl=" + idCardNationalUrl
				+ ", idCardName=" + idCardName + ", idCardNumber="
				+ idCardNumber + ", cardPeriodBegin=" + cardPeriodBegin
				+ ", cardPeriodEnd=" + cardPeriodEnd + ", merchantAbbr="
				+ merchantAbbr + ", servicePhone=" + servicePhone
				+ ", settlementId=" + settlementId + ", qualificationType="
				+ qualificationType + ", bankAccountType=" + bankAccountType
				+ ", accountName=" + accountName + ", accountBank="
				+ accountBank + ", bankAddressCode=" + bankAddressCode
				+ ", bankBranchId=" + bankBranchId + ", bankName=" + bankName
				+ ", accountNumber=" + accountNumber + ", miniProgram="
				+ miniProgram + ", mpInfo=" + mpInfo + ", bizStoreInfo="
				+ bizStoreInfo + ", appInfo=" + appInfo + ", webInfo="
				+ webInfo + ", weworkInfo=" + weworkInfo + ", registerStatus="
				+ registerStatus + ", registerMessage=" + registerMessage
				+ ", notifyUrl=" + notifyUrl + "]";
	}

	

	

	
	
	
}
