package com.wechat.common.entity.merchant.RegisterMerchant;

import java.util.List;

import com.wechat.common.response.RespWrapper;
import com.wechat.common.util.StringUtil;


/**
 * 
 *商户入驻实体类
 */
public class RegisterMerchant {
	
	//超级管理员姓名
	private String contactName;
	
	//超级管理员身份证
	private String contactIdNumber;
	
	//超级管理员手机号
	private String contactPhone;
	
	//超级管理员邮箱
	private String contactEmail;
	
	//主体类型
	private String subjectType;
	
	//营业执照微信MediaID
	private String subjectLicenseMediaID;
	
	//营业执照url
	private String subjectLicenseUrl;
	
	//注册号/统一社会信用代码
	private String licenseNumber;
	
	//商户名称
	private String merchantName;
	
	//个体户经营者/法人姓名
	private String legalPerson;

	//身份证类型
	private String idDocType;
	
	//身份证人像面照片MediaID
	private String idCardCopyMediaID;

	//身份证人像面照片URL
	private String idCardCopyUrl;

	//身份证国徽面照片MediaID
	private String idCardNationalMediaID;
	
	//身份证国徽面照片url
	private String idCardNationalUrl;
	
	//身份证姓名
	private String idCardName;
	
	//身份证号码
	private String idCardNumber;
		
	//身份证有效期开始时间 示例值：2026-06-06
	private String cardPeriodBegin;
		
	//身份证有效期结束时间 示例值：2026-06-06
	private String cardPeriodEnd;
	
	//商户简称
	private String merchantAbbr;
	
	//客服电话
	private String servicePhone;
	
	//经营场景类型
	private List<String> salesScenesType;
	
	//小程序信息
	//private MiniProgramInformation miniProgramInformation;
	
	//服务商小程序
	private String miniProgramAppid;
	
	//商家主体一致且已认证的小程序APPID
	private String miniProgramSubAppid;
	
	/**
	 * 1、请提供展示商品/服务的页面截图/设计稿（最多5张）。
		2、请填写通过图片上传接口预先上传图片生成好的MediaID。 
		首次提交未成功进件，二次提交时必填
	 */
	//小程序MediaID
	private List<String> miniProgramPicsMediaID;
	
	//小程序图片url
	private List<String> miniProgramPicsUrl;
	
	//结算规则id
	private String settlementId;
	
	//请填写所属行业名称，详细参见费率结算规则对照表。
	private String qualificationType;
	
	/**
	 * 1、若主体为企业/党政、机关及事业单位/其他组织，可填写：对公银行账户。
		2、若主体为个体户，可选择填写：对公银行账户或经营者个人银行卡。
		枚举值：

			BANK_ACCOUNT_TYPE_CORPORATE：对公银行账户
			BANK_ACCOUNT_TYPE_PERSONAL：经营者个人银行卡
			示例值：BANK_ACCOUNT_TYPE_CORPORATE
	 */
	private String bankAccountType;
	
	/**
	 * 1、选择“经营者个人银行卡”时，开户名称必须与“经营者证件姓名”一致。
		2、选择“对公银行账户”时，开户名称必须与营业执照上的“商户名称”一致。
		3、该字段需进行加密处理，加密方法详见敏感信息加密说明。
		示例值：AOZdYGISxo4y4+kyblK2FCCqQJJp0/0eow96uY1Pk7Rq79Jtt7+I8juwEc4P4TG5xzchG/5IL9DBd+Z0zZXkw==
	 */
	private String accountName;
	
	/**
	 * 开户银行，详细参见开户银行对照表。
		示例值：工商银行
	 */
	private String accountBank;
	
	/**
	 * 至少精确到市，详细参见省市区编号对照表。
		示例值：110000
	 */
	private String bankAddressCode;
	
	/**
	 * 1、17家直连银行无需填写，如为其他银行，则开户银行全称（含支行）和开户银行联行号二选一。
		2、详细参见开户银行全称（含支行）对照表。
		示例值：402713354941
	 */
	private String bankBranchId;
	
	//17家直连银行无需填写，如为其他银行，则开户银行全称（含支行）和 开户银行联行号二选一。
	private String bankName;
	
	//银行卡号
	private String accountNumber;
	
	//支付回调地址
	private String notifyUrl;
	
	public String getNotifyUrl() {
		return notifyUrl;
	}

	public void setNotifyUrl(String notifyUrl) {
		this.notifyUrl = notifyUrl;
	}

	public String getContactName() {
		return contactName;
	}

	public void setContactName(String contactName) {
		this.contactName = contactName;
	}

	public String getContactIdNumber() {
		return contactIdNumber;
	}

	public void setContactIdNumber(String contactIdNumber) {
		this.contactIdNumber = contactIdNumber;
	}

	public String getContactPhone() {
		return contactPhone;
	}

	public void setContactPhone(String contactPhone) {
		this.contactPhone = contactPhone;
	}

	public String getContactEmail() {
		return contactEmail;
	}

	public void setContactEmail(String contactEmail) {
		this.contactEmail = contactEmail;
	}

	public String getSubjectType() {
		return subjectType;
	}

	public void setSubjectType(String subjectType) {
		this.subjectType = subjectType;
	}

	public String getSubjectLicenseMediaID() {
		return subjectLicenseMediaID;
	}

	public void setSubjectLicenseMediaID(String subjectLicenseMediaID) {
		this.subjectLicenseMediaID = subjectLicenseMediaID;
	}

	public String getSubjectLicenseUrl() {
		return subjectLicenseUrl;
	}

	public void setSubjectLicenseUrl(String subjectLicenseUrl) {
		this.subjectLicenseUrl = subjectLicenseUrl;
	}

	public String getLicenseNumber() {
		return licenseNumber;
	}

	public void setLicenseNumber(String licenseNumber) {
		this.licenseNumber = licenseNumber;
	}

	public String getMerchantName() {
		return merchantName;
	}

	public void setMerchantName(String merchantName) {
		this.merchantName = merchantName;
	}

	public String getLegalPerson() {
		return legalPerson;
	}

	public void setLegalPerson(String legalPerson) {
		this.legalPerson = legalPerson;
	}

	public String getIdDocType() {
		return idDocType;
	}

	public void setIdDocType(String idDocType) {
		this.idDocType = idDocType;
	}

	public String getIdCardCopyMediaID() {
		return idCardCopyMediaID;
	}

	public void setIdCardCopyMediaID(String idCardCopyMediaID) {
		this.idCardCopyMediaID = idCardCopyMediaID;
	}

	public String getIdCardCopyUrl() {
		return idCardCopyUrl;
	}

	public void setIdCardCopyUrl(String idCardCopyUrl) {
		this.idCardCopyUrl = idCardCopyUrl;
	}

	public String getIdCardNationalMediaID() {
		return idCardNationalMediaID;
	}

	public void setIdCardNationalMediaID(String idCardNationalMediaID) {
		this.idCardNationalMediaID = idCardNationalMediaID;
	}

	public String getIdCardNationalUrl() {
		return idCardNationalUrl;
	}

	public void setIdCardNationalUrl(String idCardNationalUrl) {
		this.idCardNationalUrl = idCardNationalUrl;
	}

	public String getIdCardName() {
		return idCardName;
	}

	public void setIdCardName(String idCardName) {
		this.idCardName = idCardName;
	}

	public String getIdCardNumber() {
		return idCardNumber;
	}

	public void setIdCardNumber(String idCardNumber) {
		this.idCardNumber = idCardNumber;
	}

	public String getCardPeriodBegin() {
		return cardPeriodBegin;
	}

	public void setCardPeriodBegin(String cardPeriodBegin) {
		this.cardPeriodBegin = cardPeriodBegin;
	}

	public String getCardPeriodEnd() {
		return cardPeriodEnd;
	}

	public void setCardPeriodEnd(String cardPeriodEnd) {
		this.cardPeriodEnd = cardPeriodEnd;
	}

	public String getMerchantAbbr() {
		return merchantAbbr;
	}

	public void setMerchantAbbr(String merchantAbbr) {
		this.merchantAbbr = merchantAbbr;
	}

	public String getServicePhone() {
		return servicePhone;
	}

	public void setServicePhone(String servicePhone) {
		this.servicePhone = servicePhone;
	}

	public List<String> getSalesScenesType() {
		return salesScenesType;
	}

	public void setSalesScenesType(List<String> salesScenesType) {
		this.salesScenesType = salesScenesType;
	}

	public String getSettlementId() {
		return settlementId;
	}

	public void setSettlementId(String settlementId) {
		this.settlementId = settlementId;
	}

	public String getQualificationType() {
		return qualificationType;
	}

	public void setQualificationType(String qualificationType) {
		this.qualificationType = qualificationType;
	}

	public String getBankAccountType() {
		return bankAccountType;
	}

	public void setBankAccountType(String bankAccountType) {
		this.bankAccountType = bankAccountType;
	}

	public String getAccountName() {
		return accountName;
	}

	public void setAccountName(String accountName) {
		this.accountName = accountName;
	}

	public String getAccountBank() {
		return accountBank;
	}

	public void setAccountBank(String accountBank) {
		this.accountBank = accountBank;
	}

	public String getBankAddressCode() {
		return bankAddressCode;
	}

	public void setBankAddressCode(String bankAddressCode) {
		this.bankAddressCode = bankAddressCode;
	}

	public String getBankBranchId() {
		return bankBranchId;
	}

	public void setBankBranchId(String bankBranchId) {
		this.bankBranchId = bankBranchId;
	}

	public String getBankName() {
		return bankName;
	}

	public void setBankName(String bankName) {
		this.bankName = bankName;
	}

	public String getAccountNumber() {
		return accountNumber;
	}

	public void setAccountNumber(String accountNumber) {
		this.accountNumber = accountNumber;
	}
	
	public String getMiniProgramAppid() {
		return miniProgramAppid;
	}

	public void setMiniProgramAppid(String miniProgramAppid) {
		this.miniProgramAppid = miniProgramAppid;
	}

	public String getMiniProgramSubAppid() {
		return miniProgramSubAppid;
	}

	public void setMiniProgramSubAppid(String miniProgramSubAppid) {
		this.miniProgramSubAppid = miniProgramSubAppid;
	}

	public List<String> getMiniProgramPicsMediaID() {
		return miniProgramPicsMediaID;
	}

	public void setMiniProgramPicsMediaID(List<String> miniProgramPicsMediaID) {
		this.miniProgramPicsMediaID = miniProgramPicsMediaID;
	}

	public List<String> getMiniProgramPicsUrl() {
		return miniProgramPicsUrl;
	}

	public void setMiniProgramPicsUrl(List<String> miniProgramPicsUrl) {
		this.miniProgramPicsUrl = miniProgramPicsUrl;
	}

	//参数验证
	public RespWrapper<Object> parameterValidation() {
		try {
			if(StringUtil.isEmpty(this.contactName)){
				return RespWrapper.makeFailResp("超级管理员姓名不能为空！");
			}
			if(StringUtil.isEmpty(this.contactIdNumber)){
				return RespWrapper.makeFailResp("超级管理员身份证不能为空！");
			}
			if(StringUtil.isEmpty(this.contactPhone)){
				return RespWrapper.makeFailResp("超级管理员手机号不能为空！");
			}
			if(StringUtil.isEmpty(this.contactEmail)){
				return RespWrapper.makeFailResp("超级管理员邮箱不能为空！");
			}
			if(StringUtil.isEmpty(this.subjectType)){
				return RespWrapper.makeFailResp("主体类型不能为空！");
			}
			if(StringUtil.isEmpty(this.subjectLicenseMediaID)){
				return RespWrapper.makeFailResp("营业执照微信MediaID不能为空！");
			}
			if(StringUtil.isEmpty(this.subjectLicenseUrl)){
				return RespWrapper.makeFailResp("营业执照url不能为空！");
			}
			if(StringUtil.isEmpty(this.licenseNumber)){
				return RespWrapper.makeFailResp("注册号/统一社会信用代码不能为空！");
			}
			if(StringUtil.isEmpty(this.merchantName)){
				return RespWrapper.makeFailResp("商户名称不能为空！");
			}
			if(StringUtil.isEmpty(this.legalPerson)){
				return RespWrapper.makeFailResp("个体户经营者/法人姓名不能为空！");
			}
			if(StringUtil.isEmpty(this.idDocType)){
				return RespWrapper.makeFailResp("身份证类型不能为空！");
			}
			if(StringUtil.isEmpty(this.idCardCopyMediaID)){
				return RespWrapper.makeFailResp("身份证人像面照片MediaID不能为空！");
			}
			if(StringUtil.isEmpty(this.idCardCopyUrl)){
				return RespWrapper.makeFailResp("身份证人像面照片URL不能为空！");
			}
			if(StringUtil.isEmpty(this.idCardNationalMediaID)){
				return RespWrapper.makeFailResp("身份证国徽面照片MediaID不能为空！");
			}
			if(StringUtil.isEmpty(this.idCardNationalUrl)){
				return RespWrapper.makeFailResp("身份证国徽面照片url不能为空！");
			}
			if(StringUtil.isEmpty(this.idCardName)){
				return RespWrapper.makeFailResp("身份证姓名不能为空！");
			}
			if(StringUtil.isEmpty(this.cardPeriodBegin)){
				return RespWrapper.makeFailResp("身份证有效期开始时间不能为空！");
			}
			if(StringUtil.isEmpty(this.cardPeriodEnd)){
				return RespWrapper.makeFailResp("身份证有效期结束时间不能为空！");
			}
			if(StringUtil.isEmpty(this.merchantAbbr)){
				return RespWrapper.makeFailResp("商户简称不能为空！");
			}
			if(StringUtil.isEmpty(this.servicePhone)){
				return RespWrapper.makeFailResp("客服电话不能为空！");
			}
			if(null == this.salesScenesType || this.salesScenesType.size() == 0){
				return RespWrapper.makeFailResp("经营场景类型不能为空,必须选择一种应用场景");
			}
			if(StringUtil.isEmpty(this.settlementId)){
				return RespWrapper.makeFailResp("结算规则id不能为空！");
			}
			if(StringUtil.isEmpty(this.qualificationType)){
				return RespWrapper.makeFailResp("所属行业名称不能为空！");
			}
			if(StringUtil.isEmpty(this.bankAccountType)){
				return RespWrapper.makeFailResp("银行卡类型不能为空！");
			}
			if(StringUtil.isEmpty(this.accountName)){
				return RespWrapper.makeFailResp("开户名称不能为空！");
			}
			if(StringUtil.isEmpty(this.accountBank)){
				return RespWrapper.makeFailResp("开户银行不能为空！");
			}
			if(StringUtil.isEmpty(this.bankAddressCode)){
				return RespWrapper.makeFailResp("省市区编号不能为空！");
			}
			if(StringUtil.isEmpty(this.bankBranchId) && StringUtil.isEmpty(this.bankName)){
				return RespWrapper.makeFailResp("开户银行联行号或者开户银行全称（含支行）必须填写一个！");
			}
			if(StringUtil.isEmpty(this.accountNumber)){
				return RespWrapper.makeFailResp("银行卡号不能为空！");
			}
			if(StringUtil.isEmpty(this.notifyUrl)){
				return RespWrapper.makeFailResp("支付回调地址不能为空！");
			}
		} catch (Exception e) {
			e.printStackTrace();
			return RespWrapper.makeErrorResp(e.getMessage());
		}
		return RespWrapper.makeSuccessResp("参数验证通过！");
	}
	
	
	

	

	


























}
