package com.wechat.common.entity.merchant.business_info;

import java.util.ArrayList;
import java.util.List;

public class AppInfo {
	
	/**服务商应用APPID
	 * 1、服务商应用APPID与商家应用APPID，二选一必填。
		2、可填写当前服务商商户号已绑定的应用APPID。 
	示例值：wx1234567890123456
	 */
	private String app_appid;
	
	/**商家应用APPID
	 * 1、服务商应用APPID与商家应用APPID，二选一必填。
		2、可填写与商家主体一致且已认证的应用APPID，需是已认证的APP。
		3、审核通过后，系统将发起特约商家商户号与该AppID的绑定（即配置为sub_appid），服务商随后可在发起支付时选择传入该appid，以完成支付，并获取sub_openid用于数据统计，营销等业务场景。
		示例值：wx1234567890123456
	 */
	private String app_sub_appid;
	
	//APP截图
	/**
	 * 1、请提供APP首页截图、尾页截图、应用内截图、支付页截图各1张。
		2、请填写通过图片上传接口预先上传图片生成好的MediaID。
	 */
	private List<String> app_pics;
	
	
	public AppInfo() {
		super();
		this.app_appid = "";
		this.app_sub_appid = "";
		this.app_pics = new ArrayList<String>();
	}

	public String getApp_appid() {
		return app_appid;
	}

	public void setApp_appid(String app_appid) {
		this.app_appid = app_appid;
	}

	public String getApp_sub_appid() {
		return app_sub_appid;
	}

	public void setApp_sub_appid(String app_sub_appid) {
		this.app_sub_appid = app_sub_appid;
	}

	public List<String> getApp_pics() {
		return app_pics;
	}

	public void setApp_pics(List<String> app_pics) {
		this.app_pics = app_pics;
	}

	
	
	
}
