package com.wechat.common.entity.merchant.business_info;

import java.util.ArrayList;
import java.util.List;

public class BizStoreInfo {
	
	//门店名称 示例值：大郎烧饼
	private String biz_store_name;
	
	//门店省市编码 示例值：440305
	private String biz_address_code;
	
	//门店地址 示例值：南山区xx大厦x层xxxx室
	private String biz_store_address;
	
	//门店门头照片 示例值： 0P3ng6KTIW4-QJBZR9FwczhJehHhAZN6BKXQPcs-VvdSo
	private List<String> store_entrance_pic;
	
	//店内环境照片 示例值：0P3ng6KTIW4-Q_l2FjmFJBZR9FwczhJehHhAZN6BKXQPcs-VvdSo
	private List<String> indoor_pic;
	
	//线下场所对应的商家APPID
	/**
	 * 1、可填写与商家主体一致且已认证的公众号、小程序、APP的APPID，其中公众号APPID需是已认证的服务号、政府或媒体类型的订阅号。
		2、审核通过后，系统将发起特约商家商户号与该AppID的绑定（即配置为sub_appid），服务商随后可在发起支付时选择传入该appid，以完成支付，并获取sub_openid用于数据统计，营销等业务场景。 
		示例值：wx1234567890123456
	 */
	private String biz_sub_appid;
	

	public BizStoreInfo() {
		super();
		this.biz_store_name = "";
		this.biz_address_code = "";
		this.biz_store_address = "";
		this.store_entrance_pic = new ArrayList<String>();
		this.indoor_pic = new ArrayList<String>();
		this.biz_sub_appid = "";
	}

	public String getBiz_store_name() {
		return biz_store_name;
	}

	public void setBiz_store_name(String biz_store_name) {
		this.biz_store_name = biz_store_name;
	}

	public String getBiz_address_code() {
		return biz_address_code;
	}

	public void setBiz_address_code(String biz_address_code) {
		this.biz_address_code = biz_address_code;
	}

	public String getBiz_store_address() {
		return biz_store_address;
	}

	public void setBiz_store_address(String biz_store_address) {
		this.biz_store_address = biz_store_address;
	}

	public List<String> getStore_entrance_pic() {
		return store_entrance_pic;
	}

	public void setStore_entrance_pic(List<String> store_entrance_pic) {
		this.store_entrance_pic = store_entrance_pic;
	}


	public List<String> getIndoor_pic() {
		return indoor_pic;
	}

	public void setIndoor_pic(List<String> indoor_pic) {
		this.indoor_pic = indoor_pic;
	}

	public String getBiz_sub_appid() {
		return biz_sub_appid;
	}

	public void setBiz_sub_appid(String biz_sub_appid) {
		this.biz_sub_appid = biz_sub_appid;
	}
	
	
	
}
