package com.wechat.common.entity.merchant.business_info;

import java.util.ArrayList;
import java.util.List;

public class SalesInfo {
	
	/**
	 * 1、请勾选实际售卖商品/提供服务场景（至少一项），以便为你开通需要的支付权限。
		2、建议只勾选目前必须的场景，以便尽快通过入驻审核，其他支付权限可在入驻后再根据实际需要发起申请。
		枚举值：

		线下门店：SALES_SCENES_STORE
		公众号：SALES_SCENES_MP
		小程序：SALES_SCENES_MINI_PROGRAM
		互联网：SALES_SCENES_WEB
		APP：SALES_SCENES_APP
		企业微信：SALES_SCENES_WEWORK
		示例值： ”SALES_SCENES_STORE”,”SALES_SCENES_MP”	
	 */
	private List<String> sales_scenes_type;
	
	/**-线下门店场景
	 * 1、审核通过后，服务商可帮商户发起付款码支付、JSAPI支付。
		2、当“经营场景类型“选择“SALES_SCENES_STORE“，该场景资料必填。
	 */
	private BizStoreInfo biz_store_info;
	
	/**公众号场景
	 * 1、审核通过后，服务商可帮商家发起JSAPI支付。
		2、当“经营场景类型“选择” SALES_SCENES_MP “，该场景资料必填
	 */
	private MpInfo mp_info;
	
	/**
	 * 1、审核通过后，服务商可帮商家发起JSAPI支付。
		2、当“经营场景类型“选择”SALES_SCENES_MINI_PROGRAM“，该场景资料必填。
	 */
	private MiniProgramInfo mini_program_info;
	
	/**
	 * 1、审核通过后，服务商可帮商家发起APP支付。
		2、当“经营场景类型“选择”SALES_SCENES_APP“，该场景资料必填。
	 */
	private AppInfo app_info;
	
	//-互联网网站场景
	/**
	 * 1、审核通过后，服务商可帮商家发起JSAPI支付、Native支付。
		2、当“经营场景类型“选择”SALES_SCENES_WEB“，该场景资料必填。
	 */
	private WebInfo web_info;
	
	//企业微信场景	
	/**
	 * 1、审核通过后，商家可自行发起企业微信支付。
		2、当“经营场景类型“选择”SALES_SCENES_WEWORK“，该场景资料必填。
	 */
	private WeworkInfo wework_info;
	

	public SalesInfo() {
		super();
		this.sales_scenes_type = new ArrayList<String>();
	}

	public List<String> getSales_scenes_type() {
		return sales_scenes_type;
	}

	public void setSales_scenes_type(List<String> sales_scenes_type) {
		this.sales_scenes_type = sales_scenes_type;
	}

	public BizStoreInfo getBiz_store_info() {
		return biz_store_info;
	}

	public void setBiz_store_info(BizStoreInfo biz_store_info) {
		this.biz_store_info = biz_store_info;
	}

	public MpInfo getMp_info() {
		return mp_info;
	}

	public void setMp_info(MpInfo mp_info) {
		this.mp_info = mp_info;
	}

	public MiniProgramInfo getMini_program_info() {
		return mini_program_info;
	}

	public void setMini_program_info(MiniProgramInfo mini_program_info) {
		this.mini_program_info = mini_program_info;
	}

	public AppInfo getApp_info() {
		return app_info;
	}

	public void setApp_info(AppInfo app_info) {
		this.app_info = app_info;
	}

	public WebInfo getWeb_info() {
		return web_info;
	}

	public void setWeb_info(WebInfo web_info) {
		this.web_info = web_info;
	}

	public WeworkInfo getWework_info() {
		return wework_info;
	}

	public void setWework_info(WeworkInfo wework_info) {
		this.wework_info = wework_info;
	}
	
	
}
