package com.wechat.common.entity.merchant.business_info;

public class WebInfo {
	
	/**互联网网站域名
	 * 1、如为PC端商城、智能终端等场景，可上传官网链接。
		2、网站域名需ICP备案，若备案主体与申请主体不同，请上传加盖公章的网站授权函。 
		示例值：http://www.qq.com
	 */
	private String domain;
	
	/**网站授权函
	 * 1、若备案主体与申请主体不同，请务必上传加盖公章的网站授权函。
		2、请填写通过图片上传接口预先上传图片生成好的MediaID。 
		示例值： 47ZC6GC-vnrbEnyVBDIUv0OF4wFNIO4kqg05InE4d2I6_H7I4
	 */
	private String web_authorisation;
	
	/**互联网网站对应的商家APPID
	 * 	1、可填写与商家主体一致且已认证的公众号、小程序、APP的APPID，其中公众号APPID需是已认证的服务号、政府或媒体类型的订阅号。
		2、审核通过后，系统将发起特约商家商户号与该AppID的绑定（即配置为sub_appid），服务商随后可在发起支付时选择传入该appid，以完成支付，并获取sub_openid用于数据统计，营销等业务场景。
		示例值：wx1234567890123456
	 */
	private String web_appid;
	

	public WebInfo() {
		super();
		this.domain = "";
		this.web_authorisation = "";
		this.web_appid = "";
	}

	public String getDomain() {
		return domain;
	}

	public void setDomain(String domain) {
		this.domain = domain;
	}

	public String getWeb_authorisation() {
		return web_authorisation;
	}

	public void setWeb_authorisation(String web_authorisation) {
		this.web_authorisation = web_authorisation;
	}

	public String getWeb_appid() {
		return web_appid;
	}

	public void setWeb_appid(String web_appid) {
		this.web_appid = web_appid;
	}
	
	
	
}
