package com.wechat.common.entity.merchant.contact_info;



import java.io.IOException;
import java.security.cert.X509Certificate;

import javax.crypto.IllegalBlockSizeException;

import com.wechat.common.entity.merchant.WeChatMerchant;
import com.wechat.common.entity.merchant.RegisterMerchant.RegisterMerchant;
import com.wechat.common.util.serial.WechatpaySerial;

/**
 *超级管理员信息 
 */
public class ContactInfo {
	
	//超级管理员姓名
	private String contact_name;
	
	//超级管理员身份证号码
	private String contact_id_number;
	
	//联系手机
	private String mobile_phone;
	
	//联系邮箱
	private String contact_email;

	public String getContact_name() {
		return contact_name;
	}

	public void setContact_name(String contact_name) {
		this.contact_name = contact_name;
	}

	public String getContact_id_number() {
		return contact_id_number;
	}

	public void setContact_id_number(String contact_id_number) {
		this.contact_id_number = contact_id_number;
	}

	public String getMobile_phone() {
		return mobile_phone;
	}

	public void setMobile_phone(String mobile_phone) {
		this.mobile_phone = mobile_phone;
	}

	public String getContact_email() {
		return contact_email;
	}

	public void setContact_email(String contact_email) {
		this.contact_email = contact_email;
	}
	
	
	/**
	 * 实体类加密
	 */
	public void encryption(X509Certificate certificate) {
		try {
			this.contact_name = WechatpaySerial.rsaEncryptOAEP(this.contact_name, certificate);
			this.contact_id_number = WechatpaySerial.rsaEncryptOAEP(this.contact_id_number, certificate);
			this.mobile_phone = WechatpaySerial.rsaEncryptOAEP(this.mobile_phone, certificate);
			this.contact_email = WechatpaySerial.rsaEncryptOAEP(this.contact_email, certificate);
		} catch (IllegalBlockSizeException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
	//给属性赋值
	public boolean setInfo(RegisterMerchant registerMerchant,X509Certificate certificate,WeChatMerchant wm) {
		/*this.setContact_name("王桂光");
		this.setContact_id_number("450104197011121518");
		this.setMobile_phone("15103651694");
		this.setContact_email("847725853@qq.com");*/
		this.setContact_name(registerMerchant.getContactName());
		this.setContact_id_number(registerMerchant.getContactIdNumber());
		this.setMobile_phone(registerMerchant.getContactPhone());
		this.setContact_email(registerMerchant.getContactEmail());
		encryption(certificate);//敏感信息加密
		wm.setContact_info(this);
		return true;
		
	}
	
	
	
	
	
	
	
}
