package com.wechat.common.entity.merchant.settlement_info;

import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.util.ArrayList;
import java.util.List;

import com.wechat.common.entity.merchant.WeChatMerchant;
import com.wechat.common.entity.merchant.RegisterMerchant.RegisterMerchant;

/**
 * 
 *
 */
public class SettlementInfo {
	
	/**
	 * 请选择结算规则ID，详细参见费率结算规则对照表。
		示例值：719
	 */
	private String settlement_id;
	
	/**
	 * 请填写所属行业名称，详细参见费率结算规则对照表。
	示例值：餐饮
	 */
	private String qualification_type;
	
	/**
	 * 1、根据所属行业的特殊资质要求提供，详情查看费率结算规则对照表。
		2、最多可上传5张照片，请填写通过图片上传接口预先上传图片生成好的MediaID。
	 */
	private List<String> qualifications;
	
	/**
	 * 选择指定活动ID，详细参见优惠费率活动对照表。 
		示例值：20191030111cff5b5e
	 */
	private String activities_id;
	
	/**
	 * 	根据优惠费率活动规则，由服务商自定义填写，支持两个小数点，需在优惠费率活动ID指定费率范围内，如0.6%（接口无需传%，只需传数字）。 
		示例值：0.6
	 */
	private String activities_rate;
	
	/**
	 * 1、根据所选优惠费率活动，提供相关材料，详细参见优惠费率活动对照表。
	2、最多可上传5张照片，请填写通过图片上传接口预先上传图片生成好的MediaID。
	 */
	private List<String> activities_additions;
	
	
	
	public SettlementInfo() {
		super();
		this.settlement_id = "";
		this.qualification_type = "";
		this.qualifications = new ArrayList<String>();
		this.activities_id = "";
		this.activities_rate = "";
		this.activities_additions = new ArrayList<String>();
	}

	public String getSettlement_id() {
		return settlement_id;
	}

	public void setSettlement_id(String settlement_id) {
		this.settlement_id = settlement_id;
	}

	public String getQualification_type() {
		return qualification_type;
	}

	public void setQualification_type(String qualification_type) {
		this.qualification_type = qualification_type;
	}

	public List<String> getQualifications() {
		return qualifications;
	}

	public void setQualifications(List<String> qualifications) {
		this.qualifications = qualifications;
	}

	public String getActivities_id() {
		return activities_id;
	}

	public void setActivities_id(String activities_id) {
		this.activities_id = activities_id;
	}

	public String getActivities_rate() {
		return activities_rate;
	}

	public void setActivities_rate(String activities_rate) {
		this.activities_rate = activities_rate;
	}

	public List<String> getActivities_additions() {
		return activities_additions;
	}

	public void setActivities_additions(List<String> activities_additions) {
		this.activities_additions = activities_additions;
	}

	public boolean setInfo(RegisterMerchant registerMerchant, WeChatMerchant wm) throws UnsupportedEncodingException {
		this.setSettlement_id(registerMerchant.getSettlementId());
		this.setQualification_type(URLDecoder.decode(registerMerchant.getQualificationType(),"UTF-8"));
		wm.setSettlement_info(this);
		return true;
		
	}

	
	
	
}
