package com.wechat.common.entity.merchant.subject_info;

import java.io.IOException;


import java.security.cert.X509Certificate;

import javax.crypto.IllegalBlockSizeException;

import com.wechat.common.util.serial.WechatpaySerial;

/**
 * 身份证信息
 * @author 86151
 *
 */
public class IdCardInfo {
	
	/**
	 * 1、请上传个体户经营者/法人的身份证人像面照片。
		2、可上传1张图片，请填写通过图片上传接口预先上传图片生成好的MediaID。
	 */
	//身份证人像面照片
	private String id_card_copy;
	
	/**
	 * 1、请上传个体户经营者/法定代表人的身份证国徽面照片。 
		2、可上传1张图片，请填写通过图片上传接口预先上传图片生成好的MediaID。
	 */
	//身份证国徽面照片
	private String id_card_national;
	
	//身份证姓名
	private String id_card_name;
	
	//身份证号码
	private String id_card_number;
	
	//身份证有效期开始时间 示例值：2026-06-06
	private String card_period_begin;
	
	//身份证有效期结束时间 示例值：2026-06-06
	private String card_period_end;

	public String getId_card_copy() {
		return id_card_copy;
	}

	public void setId_card_copy(String id_card_copy) {
		this.id_card_copy = id_card_copy;
	}

	public String getId_card_national() {
		return id_card_national;
	}

	public void setId_card_national(String id_card_national) {
		this.id_card_national = id_card_national;
	}

	public String getId_card_name() {
		return id_card_name;
	}

	public void setId_card_name(String id_card_name) {
		this.id_card_name = id_card_name;
	}

	public String getId_card_number() {
		return id_card_number;
	}

	public void setId_card_number(String id_card_number) {
		this.id_card_number = id_card_number;
	}

	public String getCard_period_begin() {
		return card_period_begin;
	}

	public void setCard_period_begin(String card_period_begin) {
		this.card_period_begin = card_period_begin;
	}

	public String getCard_period_end() {
		return card_period_end;
	}

	public void setCard_period_end(String card_period_end) {
		this.card_period_end = card_period_end;
	}

	public void encryption(X509Certificate certificate) {
		try {
			this.id_card_name = WechatpaySerial.rsaEncryptOAEP(this.id_card_name, certificate);
			this.id_card_number = WechatpaySerial.rsaEncryptOAEP(this.id_card_number, certificate);
		} catch (IllegalBlockSizeException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
