package com.wechat.common.entity.merchant.subject_info;


/**
 * 经营者/法人身份证件
 * @author 86151
 *
 */
public class IdentityInfo {
	
	//证件类型
	/**
	 * 个体户/企业/党政、机关及事业单位/其他组织：可选择任一证件类型。
		枚举值：
			IDENTIFICATION_TYPE_IDCARD：中国大陆居民-身份证
			IDENTIFICATION_TYPE_OVERSEA_PASSPORT：其他国家或地区居民-护照
			IDENTIFICATION_TYPE_HONGKONG_PASSPORT：中国香港居民-来往内地通行证
			IDENTIFICATION_TYPE_MACAO_PASSPORT：中国澳门居民-来往内地通行证
			IDENTIFICATION_TYPE_TAIWAN_PASSPORT：中国台湾居民-来往大陆通行证
	 */
	private String id_doc_type;
	
	//身份证信息
	private IdCardInfo id_card_info;
	
	//其他类型证件信息
	private IdDocInfo id_doc_info;
	
	//经营者/法人是否为受益人
	/**
	 * 1、若经营者/法人是最终受益人，则填写：true。
		2、若经营者/法人不是最终受益人，则填写：false。
	 */
	private boolean owner;

	public String getId_doc_type() {
		return id_doc_type;
	}

	public void setId_doc_type(String id_doc_type) {
		this.id_doc_type = id_doc_type;
	}

	public IdCardInfo getId_card_info() {
		return id_card_info;
	}

	public void setId_card_info(IdCardInfo id_card_info) {
		this.id_card_info = id_card_info;
	}

	public boolean isOwner() {
		return owner;
	}

	public void setOwner(boolean owner) {
		this.owner = owner;
	}

	public IdDocInfo getId_doc_info() {
		return id_doc_info;
	}

	public void setId_doc_info(IdDocInfo id_doc_info) {
		this.id_doc_info = id_doc_info;
	}
	
	
}
