package com.wechat.common.entity.merchant.subject_info;

import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.security.cert.X509Certificate;

import com.wechat.common.entity.merchant.WeChatMerchant;
import com.wechat.common.entity.merchant.RegisterMerchant.RegisterMerchant;


/**
 * 主体资料
 * @author 86151
 *
 */
public class SubjectInfo {
	
	//主体类型
	/**
	 * 主体类型包括：个体户/企业/党政、机关及事业单位/其他组织
		SUBJECT_TYPE_INDIVIDUAL（个体户）：营业执照上的主体类型一般为个体户、个体工商户、个体经营。 
		SUBJECT_TYPE_ENTERPRISE（企业）：营业执照上的主体类型一般为有限公司、有限责任公司。 
		SUBJECT_TYPE_INSTITUTIONS（党政、机关及事业单位）：包括国内各级、各类政府机构、
									事业单位等（如：公安、党团、司法、交通、旅游、工商税务、市政、医疗、教育、学校等机构）。 
		SUBJECT_TYPE_OTHERS（其他组织）：不属于企业、政府/事业单位的组织机构（如社会团体、民办非企业、基金会），要求机构已办理组织机构代码证。
	 */
	private String subject_type;
	
	//营业执照信息
	private BusinessLicenseInfo business_license_info;
	
	//登记证书
	//private CertificateInfo certificate_info;
	
	//组织机构代码证
	//private OrganizationInfo organization_info;
	
	//单位证明函照片
	private String certificate_letter_copy;
	
	//经营者/法人身份证件
	private IdentityInfo identity_info;
	
	//最终受益人信息(UBO)
	//private UboInfo ubo_info;

	public String getSubject_type() {
		return subject_type;
	}

	public void setSubject_type(String subject_type) {
		this.subject_type = subject_type;
	}

	public BusinessLicenseInfo getBusiness_license_info() {
		return business_license_info;
	}

	public void setBusiness_license_info(BusinessLicenseInfo business_license_info) {
		this.business_license_info = business_license_info;
	}

	/*public CertificateInfo getCertificate_info() {
		return certificate_info;
	}

	public void setCertificate_info(CertificateInfo certificate_info) {
		this.certificate_info = certificate_info;
	}*/

	/*public OrganizationInfo getOrganization_info() {
		return organization_info;
	}

	public void setOrganization_info(OrganizationInfo organization_info) {
		this.organization_info = organization_info;
	}*/

	public String getCertificate_letter_copy() {
		return certificate_letter_copy;
	}

	public void setCertificate_letter_copy(String certificate_letter_copy) {
		this.certificate_letter_copy = certificate_letter_copy;
	}

	public IdentityInfo getIdentity_info() {
		return identity_info;
	}

	public void setIdentity_info(IdentityInfo identity_info) {
		this.identity_info = identity_info;
	}

	public boolean setInfo(RegisterMerchant registerMerchant,X509Certificate certificate, WeChatMerchant mm) throws UnsupportedEncodingException {
		this.setCertificate_letter_copy("");
		this.setSubject_type(registerMerchant.getSubjectType());//主体类型-个人 - 企业
		//营业执照 -- start
		BusinessLicenseInfo businessLicenseInfo = new BusinessLicenseInfo();
		businessLicenseInfo.setLicense_copy(registerMerchant.getSubjectLicenseMediaID());
		businessLicenseInfo.setLicense_number(registerMerchant.getLicenseNumber());
		businessLicenseInfo.setMerchant_name(URLDecoder.decode(registerMerchant.getMerchantName(),"UTF-8"));
		businessLicenseInfo.setLegal_person(URLDecoder.decode(registerMerchant.getLegalPerson(),"UTF-8"));
		this.setBusiness_license_info(businessLicenseInfo);
		//营业执照 -- end
		//经营者/法人身份证件 - start
		IdentityInfo identityInfo = new IdentityInfo();
		identityInfo.setOwner(true);
		identityInfo.setId_doc_type(registerMerchant.getIdDocType());
		//身份证信息 -- start
		IdCardInfo idCardInfo = new IdCardInfo();
		idCardInfo.setId_card_copy(registerMerchant.getIdCardCopyMediaID());
		idCardInfo.setId_card_national(registerMerchant.getIdCardNationalMediaID());
		idCardInfo.setId_card_name(URLDecoder.decode(registerMerchant.getIdCardName(),"UTF-8"));
		idCardInfo.setId_card_number(registerMerchant.getIdCardNumber());
		idCardInfo.setCard_period_begin(registerMerchant.getCardPeriodBegin());
		idCardInfo.setCard_period_end(registerMerchant.getCardPeriodEnd());
		idCardInfo.encryption(certificate);//敏感信息加密
		identityInfo.setId_card_info(idCardInfo);
		//身份证信息 -- end
		IdDocInfo idDocInfo = new IdDocInfo();
		idDocInfo.encryption(certificate);
		identityInfo.setId_doc_info(idDocInfo);
		this.setIdentity_info(identityInfo);
		mm.setSubject_info(this);
		return true;
		
	}

	
	
	
}
