package com.wechat.common.entity.order;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

import lombok.Data;

import com.wechat.common.entity.pay.jsapi.JsapiUnifiedOrder;

@Data
@Entity
public class KtjJsapiOrder {
	
	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	@Column(name = "id" )
	private Long id;
	
	//特邀商户号
	private String subMchid;
	
	//本项目订单号
	private String orderNo;
	
	//外部订单号
	private String outOrderNo;
	
	//微信支付单号
	private String transactionId;
	
	//订单金额
	private Long totalFee;
	
	//支付的小程序appid
	private String appid;
	
	//用户标识
	private String openId;
	
	//支付类型JSAPI
	private String tradeType;
	
	//终端IP- 需要调用js的终端
	private String spbillCreateIp;
	
	//商品描述
	private String body;
	
	//订单创建时间
	private Long createTime;
	
	//订单状态 0-未支付 ，1-已支付
	private Integer orderStatus;
	
	private Long payTime;
	

	public void assignment(JsapiUnifiedOrder unifiedOrder, Object object, Object object1) {
		String orderNo = String.valueOf(object);
		String appid = String.valueOf(object1);
		this.subMchid = unifiedOrder.getSubMchid();
		this.orderNo = orderNo;
		this.outOrderNo = unifiedOrder.getOutOrderNo();
		this.totalFee = unifiedOrder.getTotalFee();
		this.openId = unifiedOrder.getSubOpenid();
		this.tradeType = "JSAPI";
		this.spbillCreateIp = unifiedOrder.getSpbillCreateIp();
		this.body = unifiedOrder.getBody();
		this.orderStatus = 0;
		this.createTime = System.currentTimeMillis();
		this.appid = appid;
	}
	
	
}
