package com.wechat.common.entity.order;

import java.util.Map;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

import com.wechat.common.entity.participation.RefundParticipation;
import com.wechat.common.enums.RefundStatus;

@Entity
public class KtjRefundOrder {

	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Column(name = "id")
	private Long id;// 数据库表id

	// 支付订单表id
	private Long ktjJsapiOrderId;

	// 外部退款订单号
	private String outRefundNo;
	
	//退款特邀商户号商户号
	private String subMchid;
	
	// 退款单号
	private String refundNo;

	// 退款原因
	private String refundDesc;

	// 退款订单创建时间
	private Long createTime;

	// 退款成功时间
	private Long refundSuccessTime;

	// 退款入账账户
	private String refundRecvAccout;

	// 微信退款单号
	private String refundId;

	// 退款笔数
	private String refundCount;

	// 退款状态 1-退款成功,2退款处理中 ,3退款异常,4退款关闭
	private Integer refundStatus;

	// 退款金额
	private Long refundFee;

	// 退款日志
	private String refundMessage;
	

	public String getSubMchid() {
		return subMchid;
	}

	public void setSubMchid(String subMchid) {
		this.subMchid = subMchid;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getOutRefundNo() {
		return outRefundNo;
	}

	public void setOutRefundNo(String outRefundNo) {
		this.outRefundNo = outRefundNo;
	}

	public Long getKtjJsapiOrderId() {
		return ktjJsapiOrderId;
	}

	public void setKtjJsapiOrderId(Long ktjJsapiOrderId) {
		this.ktjJsapiOrderId = ktjJsapiOrderId;
	}

	public String getRefundNo() {
		return refundNo;
	}

	public void setRefundNo(String refundNo) {
		this.refundNo = refundNo;
	}

	public String getRefundDesc() {
		return refundDesc;
	}

	public void setRefundDesc(String refundDesc) {
		this.refundDesc = refundDesc;
	}

	public Long getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Long createTime) {
		this.createTime = createTime;
	}

	public Long getRefundSuccessTime() {
		return refundSuccessTime;
	}

	public void setRefundSuccessTime(Long refundSuccessTime) {
		this.refundSuccessTime = refundSuccessTime;
	}

	public String getRefundRecvAccout() {
		return refundRecvAccout;
	}

	public void setRefundRecvAccout(String refundRecvAccout) {
		this.refundRecvAccout = refundRecvAccout;
	}

	public String getRefundId() {
		return refundId;
	}

	public void setRefundId(String refundId) {
		this.refundId = refundId;
	}

	public String getRefundCount() {
		return refundCount;
	}

	public void setRefundCount(String refundCount) {
		this.refundCount = refundCount;
	}

	public Integer getRefundStatus() {
		return refundStatus;
	}

	public void setRefundStatus(Integer refundStatus) {
		this.refundStatus = refundStatus;
	}

	public Long getRefundFee() {
		return refundFee;
	}

	public void setRefundFee(Long refundFee) {
		this.refundFee = refundFee;
	}

	public String getRefundMessage() {
		return refundMessage;
	}

	public void setRefundMessage(String refundMessage) {
		this.refundMessage = refundMessage;
	}

	public void paramsOrder(Map<String, Object> map,
			RefundParticipation params, Long ktjJsapiOrderId) {
		this.ktjJsapiOrderId = ktjJsapiOrderId;
		this.outRefundNo = params.getOutRefundNo();
		this.subMchid = params.getSubMchid();
		this.refundNo = String.valueOf(map.get("out_refund_no"));
		this.refundDesc = params.getRefundDesc();
		this.createTime = System.currentTimeMillis();
		this.refundFee = params.getRefundFee();
		this.refundStatus = RefundStatus.REFUND_PROCESSING.getId();
		this.refundMessage = "退款处理中...";
	}

}
