package com.wechat.common.entity.participation;

import lombok.Data;

import com.wechat.common.entity.order.KtjJsapiOrder;
import com.wechat.common.response.RespWrapper;
import com.wechat.common.util.StringUtil;

/**
 * 退款入参实体类
 * @author 86151
 *
 */
@Data
public class RefundParticipation {
	
	//退款金额
	private Long refundFee;
	
	//退款原因
	private String refundDesc;
	
	//微信支付单号
	private String transactionId;
	
	//外部退款单号
	private String outRefundNo;
	
	private String subMchid;
	

	@Override
	public String toString() {
		return "RefundParticipation [refundFee=" + refundFee + ", refundDesc="
				+ refundDesc + ", transactionId=" + transactionId
				+ ", outRefundNo=" + outRefundNo + ", subMchid=" + subMchid
				+ "]";
	}



	public RespWrapper<Object> paramsInfo(KtjJsapiOrder order) {
System.out.println("入参为：" + this.toString());
		if( null == this.refundFee || this.refundFee < 1){
			return RespWrapper.makeFailResp("退款金额不能为空，并且要大于0！");
		}
		if( null == this.subMchid){
			return RespWrapper.makeFailResp("商户号不能为空！");
		}
		if(StringUtil.isEmpty(this.transactionId) ){
			return RespWrapper.makeFailResp("订单编号不能为空！");
		}
		if(StringUtil.isEmpty(this.outRefundNo)){
			return RespWrapper.makeFailResp("退款申请单号不能为空！");
		}
		order.setTransactionId(this.transactionId.trim());
		//如果退款原因为空，就加个退款原因
		if(StringUtil.isEmpty(this.refundDesc)){
			this.refundDesc = "订单退款";
		}
		return RespWrapper.makeSuccessResp("参数验证通过！");
	}
	
	
	
}
