package com.wechat.common.entity.pay.jsapi;

import lombok.Data;

import com.wechat.common.response.RespWrapper;
import com.wechat.common.util.StringUtil;

@Data
public class JsapiUnifiedOrder {
	
	//特邀商户号
	private String subMchid;
	
	//商品描述
	private String body;
	
	//外部订单号
	private String outOrderNo;
	
	//订单金额
	private Long totalFee;
	
	//用户标识
	private String openId;
	
	//用户子标识
	private String subOpenid;
	
	//终端IP- 需要调用js的终端
	private String spbillCreateIp;
	
	//是否需要分账，默认不分账
	private String profitSharing;

	public RespWrapper<Object> parameterValidation() {
		if(StringUtil.isEmpty(this.subMchid)){
			return RespWrapper.makeFailResp("特邀商户号不能为空！");
		}
		if(StringUtil.isEmpty(this.body)){
			return RespWrapper.makeFailResp("商品描述不能为空！");
		}
		if(StringUtil.isEmpty(this.outOrderNo)){
			return RespWrapper.makeFailResp("订单号不能为空！");
		}
		if( null == this.totalFee || this.totalFee <= 0){
			return RespWrapper.makeFailResp("订单支付金额有误，请检查！totalFee = " + totalFee);
		}
		/*if(StringUtil.isEmpty(this.openId)){
			return RespWrapper.makeFailResp("openId不能为空！");
		}*/
		if(StringUtil.isEmpty(this.spbillCreateIp)){
			return RespWrapper.makeFailResp("终端IP不能为空！");
		}
		return RespWrapper.makeSuccessResp("参数验证通过！");
	}
	
}
