package com.wechat.common.enums;


public enum RegisterStatus {
	APPLYMENT_STATE_EDITTING(0,"编辑中","APPLYMENT_STATE_EDITTING"),
	APPLYMENT_STATE_AUDITING(1,"审核中","APPLYMENT_STATE_AUDITING"),
	APPLYMENT_STATE_REJECTED(2,"已驳回","APPLYMENT_STATE_REJECTED"),
	APPLYMENT_STATE_TO_BE_CONFIRMED(3,"待账户验证","APPLYMENT_STATE_TO_BE_CONFIRMED"),
	APPLYMENT_STATE_TO_BE_SIGNED(4,"待签约","APPLYMENT_STATE_TO_BE_SIGNED"),
	APPLYMENT_STATE_SIGNING(5,"开通权限中","APPLYMENT_STATE_SIGNING"),
	APPLYMENT_STATE_FINISHED(6,"已完成","APPLYMENT_STATE_FINISHED"),
	APPLYMENT_STATE_CANCELED(7,"已作废","APPLYMENT_STATE_CANCELED");

	private int id;

	private String status;

	private String type;

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	private RegisterStatus(int id, String status, String type) {
		this.id = id;
		this.status = status;
		this.type = type;
	}

	public static RegisterStatus findRegisterStatus(Integer id){
		for(RegisterStatus r:RegisterStatus.values()){
			if(r.id == id) return r;
		}
		return null;
	}

	public static Integer getIdByType(String type){
		for (RegisterStatus status : RegisterStatus.values()) {
			if(status.getType().equals(type)){
				return status.getId();
			}
		}
		return RegisterStatus.APPLYMENT_STATE_AUDITING.getId();
	}



}
