package com.wechat.common.enums;

public enum SepAccountErrorCodeError {
    SYSTEMERROR("接口返回错误","系统超时","请不要更换商户分账单号，请使用相同参数再次调用API。否则可能造成资金损失"),
    AMOUNT_OVERDUE("分账金额超限","分账金额大于可分金额或大于分账最大比例","分账金额不能大于可分金额或大于最大分账比例金额，请调整分账金额"),
    RECEIVER_INVALID("分账接收方非法","未配置分账接收方","分账接收方在分账之前需要进行添加"),
    INVALID_TRANSACTIONID("无效的微信支付订单号","请求参数未按指引进行填写","请求参数错误，检查原交易号是否存在或发起支付交易接口返回失败"),
    PARAM_ERROR("参数错误","请求参数未按指引进行填写","请求参数错误，请重新检查再调用分账接口"),
    INVALID_REQUEST("请求不合法","参数中APPID或 MCHID不存在等","请检查请求参数"),
    OPENID_MISMATCH("Openid错误","Openid 与Appid不匹配","请检查Openid 是否正确"),
    FREQUENCY_LIMITED("频率限制","请求过多被频率限制","该笔请求未受理，请降低频率后原单重试，请勿更换商户分账单号"),
    ORDER_NOT_READY("订单处理中","订单处理中，暂时无法分账","订单处理中，暂时无法分账，请稍后再试"),
    NOAUTH("无分账权限","未开通分账权限","请先开通分账"),
    ORDERNOTEXIST("分账单不存在","订单号错误或分账单号错误","请检查订单号或分账单号是否有误"),
    NOT_SHARE_ORDER("非分账订单","不是分账订单 无法分账","下单时请用分账的合适参数");

    private String desc;
    private String reason;
    private String advise;
    SepAccountErrorCodeError(String desc,String reason,String advise){
        this.desc = desc;
        this.reason = reason;
        this.advise = advise;
    }
}
