package com.wechat.common.util.token;

import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

import org.apache.commons.codec.binary.Base64;

import com.alibaba.fastjson.JSONObject;
import com.wechat.common.entity.ertificate.DataCertificate;
import com.wechat.common.parameter.ProjectConstant;
import com.wechat.common.util.http.HTTPUtils;
import com.wechat.common.util.rsa.RsaUtil;

/**
 * 
 *获取微信证书
 */
public class ComtikaCertificate {
	
	public static DataCertificate getDataCertificate(String timestamp,String nonce_str){
		try {
			//拼签名串
	        StringBuffer sb = new StringBuffer();
	        sb.append("GET").append("\n");
	        sb.append("/v3/certificates").append("\n");
	        sb.append(timestamp).append("\n");
	        sb.append(nonce_str).append("\n");
	        sb.append("\n");
	        //构造签名
	        String sign = new String(Base64.encodeBase64(RsaUtil.signRSA(sb.toString(),ProjectConstant.yourPrivateKey)));
	        String authorization ="WECHATPAY2-SHA256-RSA2048 mchid=\""+ProjectConstant.merchantId+"\",nonce_str=\""+nonce_str+"\",signature=\""+sign+"\",timestamp=\""+timestamp+"\",serial_no=\""+ProjectConstant.yourCertificateSerialNo+"\"";
	        Map<String ,String > map = new HashMap<String, String>();
	        map.put("Authorization", authorization);
	        //请求微信
	        String bb = HTTPUtils.weChatGet("https://api.mch.weixin.qq.com/v3/certificates",map);
			JSONObject jsonObject = JSONObject.parseObject(bb);System.out.println(jsonObject.get("data"));
			DataCertificate DataCertificate = new DataCertificate();
			String json = String.valueOf(jsonObject.get("data")).replace("[", "").replace("]", "");
			DataCertificate = JSONObject.parseObject(json, DataCertificate.getClass());
			return DataCertificate;
		} catch (Exception e) {
			e.printStackTrace();
			return null;
		}
		
	}
	
	
	/**
	 * 测试类
	 * @param args
	 */
	public static void main(String[] args) {
		getDataCertificate(Long.toString(System.currentTimeMillis()/1000),UUID.randomUUID().toString().replaceAll("-", "").toUpperCase());
	}
	
}
