package com.wechat.controller.merchant;

import java.util.HashMap;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.wechat.common.action.BaseController;
import com.wechat.common.entity.merchant.RegisterMerchant.RegisterMerchant;
import com.wechat.common.response.RespWrapper;
import com.wechat.service.merchant.MerchantService;

@RestController
@RequestMapping("/merchant")
public class MerchantController extends BaseController{
	
	@Autowired
	private MerchantService merchantService;
	
	/**
	 * 商户进件
	 * @param registerMerchant
	 * @return
	 */
	@PostMapping("/weChatRegisterMerchant")
	public RespWrapper<Object> weChatRegisterMerchant(@RequestBody RegisterMerchant registerMerchant){
		//System.out.println(registerMerchant.toString());
		return merchantService.weChatRegisterMerchant(registerMerchant);
	} 
	
	@GetMapping("/abc")
	public RespWrapper<Object> abc(String businessCode){
		Map<String, String> map = new HashMap<String, String>();
		map.put("businessCode", businessCode);
		return RespWrapper.makeSuccessResp(map);
	} 
	
	
	/**
	 * 根据申请单号查询本系统入驻状态 -- 外部系统调用
	 * @param businessCode 申请单号
	 * @return
	 */
	@GetMapping("/queryWeChatRegisterbyBusinessCode")
	public RespWrapper<Object> queryWeChatRegister(String businessCode){
		return merchantService.queryWeChatRegister(businessCode);
	} 
	
	/**
	 * 根据业务申请编号查询入驻状态  -- 调用微信查询状态
	 * @param businessCode 业务申请编号
	 * @return
	 */
	@GetMapping("/queryWeChatMerchantRegisterbyBusinessCode")
	public RespWrapper<Object> queryWeChatMerchantRegisterbyBusinessCode(String businessCode){
		return merchantService.queryWeChatMerchantRegisterbyBusinessCode(businessCode);
	} 
	
	/**
	 * 根据申请单号查询入驻状态
	 * @param applymentId 申请单号
	 * @return
	 */
	@GetMapping("/queryWeChatMerchantRegisterbyApplymentId")
	public RespWrapper<Object> queryWeChatMerchantRegisterbyApplymentId(String applymentId){
		return merchantService.queryWeChatMerchantRegisterbyApplymentId(applymentId);
	}
}
