package com.wechat.controller.merchant;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.security.InvalidKeyException;
import java.security.KeyFactory;
import java.security.NoSuchAlgorithmException;
import java.security.PrivateKey;
import java.security.Signature;
import java.security.SignatureException;
import java.security.cert.X509Certificate;
import java.security.spec.PKCS8EncodedKeySpec;
import java.util.HashMap;
import java.util.Map;


import com.alibaba.fastjson.JSONObject;
import com.wechat.common.util.ComtikaWeChatUtil;
import org.apache.commons.codec.binary.Base64;

import com.alibaba.fastjson.JSONArray;
import com.wechat.common.entity.merchant.WeChatMerchant;
import com.wechat.common.entity.merchant.bank_account_info.BankAccountInfo;
import com.wechat.common.entity.merchant.business_info.AppInfo;
import com.wechat.common.entity.merchant.business_info.BizStoreInfo;
import com.wechat.common.entity.merchant.business_info.BusinessInfo;
import com.wechat.common.entity.merchant.business_info.MiniProgramInfo;
import com.wechat.common.entity.merchant.business_info.MpInfo;
import com.wechat.common.entity.merchant.business_info.SalesInfo;
import com.wechat.common.entity.merchant.business_info.WebInfo;
import com.wechat.common.entity.merchant.business_info.WeworkInfo;
import com.wechat.common.entity.merchant.contact_info.ContactInfo;
import com.wechat.common.entity.merchant.settlement_info.SettlementInfo;
import com.wechat.common.entity.merchant.subject_info.BusinessLicenseInfo;
import com.wechat.common.entity.merchant.subject_info.IdCardInfo;
import com.wechat.common.entity.merchant.subject_info.IdDocInfo;
import com.wechat.common.entity.merchant.subject_info.IdentityInfo;
import com.wechat.common.entity.merchant.subject_info.SubjectInfo;
import com.wechat.common.parameter.ProjectConstant;
import com.wechat.common.util.WeChatUtil;
import com.wechat.common.util.http.HTTPUtils;

public class Tess {

	@SuppressWarnings("static-access")
	public static void main(String[] args) throws Exception {
		System.out.println("358DF0ADAB792E173C88B1DF59556D6D707E2E2C".length());
		new Tess().test2();
	}

	public static void test2() throws UnsupportedEncodingException,Exception{
		ComtikaWeChatUtil.PubKey pubKey = ComtikaWeChatUtil.findPubKey();
		X509Certificate certificate = WeChatUtil.getX509Certificate(pubKey.prikey);

        WeChatMerchant mm = new WeChatMerchant();
		mm.setBusiness_code("comtika_200000213864123411121111");
		//超级管理员信息
		ContactInfo contactInfo = new ContactInfo();
		contactInfo.setContact_name("王桂光");
		contactInfo.setContact_id_number("450104197011121518");
		contactInfo.setMobile_phone("15103651694");
		contactInfo.setContact_email("847725853@qq.com");
		contactInfo.encryption(certificate);//敏感信息加密
		mm.setContact_info(contactInfo);

		//主体资料
		SubjectInfo subjectInfo = new SubjectInfo();
		subjectInfo.setCertificate_letter_copy("");
		subjectInfo.setSubject_type("SUBJECT_TYPE_ENTERPRISE");//主体类型-企业
		//营业执照 -- start
		BusinessLicenseInfo businessLicenseInfo = new BusinessLicenseInfo();
		businessLicenseInfo.setLicense_copy("0yWWoyikM6yy2voHzqfLykkGncbarFSQC2KYZNpO17LWILEuGIg0jrqNCCHRdH27hlaT4960RAqSULQDVUEVBN5S_hmcdoc6CkSa20-KBsc");
		businessLicenseInfo.setLicense_number("91440300MA5DKK5702");
		businessLicenseInfo.setMerchant_name(URLDecoder.decode("康体佳智能科技（深圳）有限公司","UTF-8"));
		businessLicenseInfo.setLegal_person(URLDecoder.decode("王桂光","UTF-8"));
		subjectInfo.setBusiness_license_info(businessLicenseInfo);
		//营业执照 -- end
		//经营者/法人身份证件 - start
		IdentityInfo identityInfo = new IdentityInfo();
		identityInfo.setOwner(true);
		identityInfo.setId_doc_type("IDENTIFICATION_TYPE_IDCARD");
		//身份证信息 -- start
		IdCardInfo idCardInfo = new IdCardInfo();
		idCardInfo.setId_card_copy("0yWWoyikM6yy2voHzqfLyuciQ2CXGhsQMuhuhFs0_vlF5ZgXTII5BEXeCZv5RunPQp2fAhX_tiVk3iTkhWf2AtI62M6tpUvImvt5ezhMtEA");
		idCardInfo.setId_card_national("0yWWoyikM6yy2voHzqfLyvu34OWFLZrCo2VRNDTpSad2Se4cmBvNQwloKdC-qNL6UnawxlrV5-jKlbO1ms_m6fxIEq9XZg7HL08-BneN7j0");
		idCardInfo.setId_card_name(URLDecoder.decode("王桂光","UTF-8"));
		idCardInfo.setId_card_number("450104197011121518");
		idCardInfo.setCard_period_begin("2014-06-27");
		idCardInfo.setCard_period_end("2034-06-27");
		idCardInfo.encryption(certificate);//敏感信息加密
		identityInfo.setId_card_info(idCardInfo);
		//身份证信息 -- end
		IdDocInfo idDocInfo = new IdDocInfo();
		idDocInfo.encryption(certificate);
		identityInfo.setId_doc_info(idDocInfo);
		subjectInfo.setIdentity_info(identityInfo);
		//subjectInfo.setCertificate_info(new CertificateInfo());
		//subjectInfo.setOrganization_info(new OrganizationInfo());
		//subjectInfo.setUbo_info(new UboInfo());
		mm.setSubject_info(subjectInfo);
		//经营者/法人身份证件 - end

		//经营资料  -- start
		BusinessInfo businessInfo = new BusinessInfo();
		businessInfo.setMerchant_shortname(URLDecoder.decode("康体佳智能科技（深圳）有限公司","UTF-8"));
		businessInfo.setService_phone("075523703529");
		//经营场景 - start
		SalesInfo salesInfo = new SalesInfo();
		salesInfo.getSales_scenes_type().add("SALES_SCENES_MINI_PROGRAM");
		//小程序信息 - start
		MiniProgramInfo miniProgramInfo = new MiniProgramInfo();
		miniProgramInfo.setMini_program_sub_appid("wx385f55b4aef20405");
		miniProgramInfo.setMini_program_appid("wx385f55b4aef20405");
		miniProgramInfo.getMini_program_pics().add("0yWWoyikM6yy2voHzqfLysGfLKNhczqoVSL0YpTVa6WWzR4P2YFkN-LMZratoAzs0Uwxfdt6gmjn_82dT8_eNwpxJYi8JUw50Mo646XVBks");
		salesInfo.setMini_program_info(miniProgramInfo);
		//小程序信息 - end
		BizStoreInfo bizStoreInfo = new BizStoreInfo();
		salesInfo.setBiz_store_info(bizStoreInfo);
		MpInfo mpInfo = new MpInfo();
		salesInfo.setMp_info(mpInfo);
		AppInfo appInfo = new AppInfo();
		salesInfo.setApp_info(appInfo);
		WebInfo webInfo = new WebInfo();
		salesInfo.setWeb_info(webInfo);
		WeworkInfo weworkInfo = new WeworkInfo();
		salesInfo.setWework_info(weworkInfo);
		//经营场景 - end
		businessInfo.setSales_info(salesInfo);
		//经营资料  -- end
		mm.setBusiness_info(businessInfo);

		//结算规则--start
		SettlementInfo settlementInfo = new SettlementInfo();
		settlementInfo.setSettlement_id("716");
		settlementInfo.setQualification_type(URLDecoder.decode("零售批发/生活娱乐/网上商城/其他","UTF-8"));
		mm.setSettlement_info(settlementInfo);

		//结算银行账户 - start
		BankAccountInfo bankAccountInfo = new BankAccountInfo();
		bankAccountInfo.setBank_account_type("BANK_ACCOUNT_TYPE_CORPORATE");
		bankAccountInfo.setAccount_name("康体佳智能科技（深圳）有限公司");
		bankAccountInfo.setAccount_bank(URLDecoder.decode("建设银行","UTF-8"));
		bankAccountInfo.setBank_address_code("440304");
		bankAccountInfo.setBank_branch_id("105584001483");
		bankAccountInfo.setBank_name(URLDecoder.decode("中国建设银行股份有限公司深圳华强支行","UTF-8"));
		bankAccountInfo.setAccount_number("44250110076300000879");
		bankAccountInfo.encryption(certificate);
		mm.setBank_account_info(bankAccountInfo);
		String body = JSONObject.toJSONString(mm);
		System.out.println(body);
		//结算银行账户 - end
		String auth = ComtikaWeChatUtil.findAuthorization("POST", "/v3/applyment4sub/applyment/", body);



		Map<String,String> map = new HashMap<String, String>();
		map.put("Charsert", "UTF-8");
		map.put("connection", "Keep-Alive");
		map.put("Wechatpay-Serial",pubKey.serialNo);
		map.put("Content-Type", "application/json");
		map.put("Accept","application/json");
		map.put("Authorization", auth);
		String data = "";
		try {
			data = HTTPUtils.post("https://api.mch.weixin.qq.com/v3/applyment4sub/applyment/",map, body);
		} catch (Exception e2) {
			e2.printStackTrace();
		}
System.out.println("data:" + data);
	}


	public static byte[] InputStreamTOByte(InputStream in) throws IOException{

        int BUFFER_SIZE = 4096;
        ByteArrayOutputStream outStream = new ByteArrayOutputStream();
        byte[] data = new byte[BUFFER_SIZE];
        int count = -1;
        while((count = in.read(data,0,BUFFER_SIZE)) != -1)
            outStream.write(data, 0, count);
        data = null;
        byte[] outByte = outStream.toByteArray();
        outStream.close();

        return outByte;
    }
	public static byte[] signRSA(String data, String priKey) throws Exception {
		//签名的类型
		Signature sign = Signature.getInstance("SHA256withRSA");
		//读取商户私钥,该方法传入商户私钥证书的内容即可
		byte[] keyBytes = Base64.decodeBase64(priKey);
		PKCS8EncodedKeySpec keySpec = new PKCS8EncodedKeySpec(keyBytes);
		KeyFactory keyFactory = KeyFactory.getInstance("RSA");
		PrivateKey privateKey = keyFactory.generatePrivate(keySpec);
		sign.initSign(privateKey);
		sign.update(data.getBytes("UTF-8"));
		return sign.sign();
	}


}
