package com.wechat.core.timer;



import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import com.wechat.common.entity.merchant.KtjMerchantDetails;
import com.wechat.common.entity.order.KtjRefundOrder;
import com.wechat.dao.merchant.MerchantDetailsDao;
import com.wechat.dao.order.KtjRefundOrderDao;
import com.wechat.service.merchant.MerchantService;
import com.wechat.service.pay.WeChatPayJsapiService;

/**
 * @author actor
 * @date 2018/11/29 16:14
 */
@Configuration
@EnableScheduling //定时器总开关
public class MyBankTimer {
	
	@Autowired
	private MerchantService merchantService;
	
	@Autowired
	private MerchantDetailsDao merchantDetailsDao;
	
	@Autowired
	private KtjRefundOrderDao ktjRefundOrderDao;
	
	@Autowired
	private WeChatPayJsapiService weChatPayJsapiService;
	
    /**定时器方法 每五分钟查询一次商户入驻状态*/
	@Scheduled(cron ="0 0/5 * * * ? ")
    public void queryMerchantRegister(){
		KtjMerchantDetails m = new KtjMerchantDetails();
		m.setRegisterStatus(1);//审核中的所有商户
		List<KtjMerchantDetails> list =  merchantDetailsDao.template(m);
		for (KtjMerchantDetails ktjMerchantDetails : list) {
			merchantService.queryWeChatMerchantRegisterbyBusinessCode(ktjMerchantDetails.getBusinessCode());
		}
    }
    
    /**定时器方法 每五分钟查询一次退款状态**/
	@Scheduled(cron ="0 0/5 * * * ? ")
    public void timer(){
    	KtjRefundOrder k = new KtjRefundOrder();
    	k.setRefundStatus(2);
    	List<KtjRefundOrder> list = ktjRefundOrderDao.template(k);
    	for (KtjRefundOrder ktjRefundOrder : list) {
    		weChatPayJsapiService.queryWechatRefundStatus(ktjRefundOrder.getRefundId());
		}
    }
    
}
